package main // import "git.sapphic.engineer/roleypoly/v4"

import (
	"log"

	"git.sapphic.engineer/roleypoly/v4/discord"
	"git.sapphic.engineer/roleypoly/v4/roleypoly"
	"git.sapphic.engineer/roleypoly/v4/utils"
)

func main() {
	app := roleypoly.CreateFiberApp()

	dc := discord.NewDiscordClient(
		utils.DiscordClientID,
		utils.DiscordClientSecret,
		utils.DiscordBotToken,
	)

	roleypoly.SetupControllers(
		app,
		dc,
		utils.DiscordPublicKey,
		utils.PublicBaseURL,
	)

	log.Fatal(app.Listen(utils.ListenAddr))
}
